estimated MAC availability

Asked by chemed on 2010-02-08

Any ideas when Nightshade will be available on Mac OS.X?

Question information

Language:
English Edit question
Status:
Answered
For:
Nightshade Legacy Edit question
Assignee:
No assignee Edit question
Last query:
2010-02-08
Last reply:
2010-02-22
Trystan (trystan) said : #1

Most likely sometime this week, stay tuned.

Cheers,
Trystan

On Feb 8, 2010, at 10:10 AM, chemed wrote:

> New question #100345 on Nightshade:
> https://answers.launchpad.net/nightshade/+question/100345
>
> Any ideas when Nightshade will be available on Mac OS.X?
>
> --
> You received this question notification because you are a member of
> Nightshade, which is an answer contact for Nightshade.

Andy Dolph (acdolph) said : #2

would it be possible to get an update on this?

Thanks

Trystan (trystan) said : #3

Mac support (OSX) was released with version 10.2.1. It can be built from the latest source tarball on http://nightshadesoftware.org/downloads.html. To ease installation, we have also submitted the Nightshade to Macports and are awaiting their response. Once the package is accepted, you'll be able to install via Macports. Please see http://www.macports.org/. However, since Macports is a 3rd party we're unable to provide a solid date for that deployment.

Andy Dolph (acdolph) said : #4

Thanks Trystan!

What dependencies do I need to build from source on OSX (or is that documented somewhere?

Thanks!!

Andy

Andy Dolph (acdolph) said : #5

Never mind - I found it in the tarball

Trystan (trystan) said : #6

The easiest way to resolve all the dependencies would be to go ahead and
install macports and use it to install the first level dependencies; the
sdl and png libraries documented in INSTALL. Macports will automatically
install everything that those libraries depend on so you don't need to
chase them down manually.

-Trystan

On 02/22/2010 09:35 AM, Andy Dolph wrote:
> Question #100345 on Nightshade changed:
> https://answers.launchpad.net/nightshade/+question/100345
>
> Andy Dolph requested for more information:
> Thanks Trystan!
>
> What dependencies do I need to build from source on OSX (or is that
> documented somewhere?
>
> Thanks!!
>
> Andy
>
>

Andy Dolph (acdolph) said : #7

That worked beautifully (Macports to install dependencies then build Nightshade - easy)

Is there any reason to think that I couldn't compile the BZR version on OSX now that I have all the dependencies?

Thanks!

Andy

Trystan (trystan) said : #8

Great, glad to hear it was relatively painless. Yep, the bzr trunk
version should work as well.

-Trystan

On 02/22/2010 11:58 AM, Andy Dolph wrote:
> Question #100345 on Nightshade changed:
> https://answers.launchpad.net/nightshade/+question/100345
>
> Andy Dolph requested for more information:
> That worked beautifully (Macports to install dependencies then build
> Nightshade - easy)
>
> Is there any reason to think that I couldn't compile the BZR version on
> OSX now that I have all the dependencies?
>
> Thanks!
>
> Andy
>
>

Can you help with this problem?

Provide an answer of your own, or ask chemed for more information if necessary.

To post a message you must log in.